LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTransientDocumentsDocumentContentIdentifierFactory Interface Reference

a factory for identifiers of com::sun::star::ucb::TransientDocumentsDocumentContents. More...

`import"XTransientDocumentsDocumentContentIdentifierFactory.idl";`

Inheritance diagram for XTransientDocumentsDocumentContentIdentifierFactory:

## Public Member Functions
com::sun::star::ucb::XContentIdentifier | createDocumentContentIdentifier ([in] com::sun::star::frame::XModel Model) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a com::sun::star::ucb::XContentIdentifier based on a given com::sun::star::document::OfficeDocument. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

a factory for identifiers of com::sun::star::ucb::TransientDocumentsDocumentContents.

See also
  com::sun::star::document::OfficeDocument
  com::sun::star::ucb::XContentIdentifier

Since
  LibreOffice 6.3

## Member Function Documentation

## ◆ createDocumentContentIdentifier()

com::sun::star::ucb::XContentIdentifier createDocumentContentIdentifier | ( | [in] com::sun::star::frame::XModel | Model | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates a com::sun::star::ucb::XContentIdentifier based on a given com::sun::star::document::OfficeDocument.

Parameters

  Model | the document model for which a com::sun::star::ucb::XContentIdentifier is requested. The model must be an implementation of service com::sun::star::document::OfficeDocument.

Returns
  a content identifier based on the given document model.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the document model cannot be associated with content for any reason.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XTransientDocumentsDocumentContentIdentifierFactory.idl